commons-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Shifman <mark.shif...@yale.edu>
Subject Re: What's required to convert from DBUtils 1.1 to DBUtils 1.2?
Date Wed, 26 Aug 2009 11:40:03 GMT
Almost nothing is required to convert to 1.2.  Read the release notes and see if any of the
changes affect you.
http://commons.apache.org/dbutils/changes-report.html

I was burned by the way they changed CaseInsensitiveHashMap so I just overrode it with the
old one.  I also had a problem because of
oracle (so what else is new) but when I upgraded to the newest driver things worked fine.

How does 1.2 break your app?
mas


Watkin, James wrote:
> I'm experiencing a well-known problem with DBUtils 1.1 where sometimes
> NULLs are converted to 0 when read from the database --
> http://issues.apache.org/jira/browse/DBUTILS-42
> 
>  
> 
> I see that DBUtils 1.2 fixes this problem. However, DBUtils 1.2 breaks
> my app. Before I commit to "fixing" my app, can anyone outline the
> amount of work required to upgrade one's app for use with DBUtils 1.2?
> I'm using the MS SQL Server JDBC driver.
> 
>  
> 
> Thank you.
> 
>  
> 
> Jim
> 
>   
> 
>  
> 
> 

-- 
 Mark Shifman MD. Ph.D.
 Yale Center for Medical Informatics
 Phone (203)737-5219
 mark.shifman@yale.edu

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@commons.apache.org
For additional commands, e-mail: user-help@commons.apache.org


Mime
View raw message